PojoMessageHandlerBase (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerBase<T>

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>

- Type Parameters:
    `T` - The type of message to handle
  All Implemented Interfaces:
    WrappedMessageHandler
  Direct Known Subclasses:
    PojoMessageHandlerPartialBase, PojoMessageHandlerWholeBase

      public abstract class PojoMessageHandlerBase<T>
      extends Object
      implements WrappedMessageHandler

  Common implementation code for the POJO message handlers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `convert`
    `protected int` | `indexPayload`
    `protected int` | `indexSession`
    `protected long` | `maxMessageSize`
    `protected Method` | `method`
    `protected Object[]` | `params`
    `protected Object` | `pojo`
    `protected Session` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoMessageHandlerBase(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxMessageSize()`
    `MessageHandler` | `getWrappedHandler()` Expose the POJO if it is a message handler so the Session is able to match requests to remove handlers if the original handler has been wrapped.
    `protected void` | `handlePojoMethodException(Throwable t)`
    `protected void` | `processResult(Object result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pojo

          protected final Object pojo

    - #### method

          protected final Method method

    - #### session

          protected final Session session

    - #### params

          protected final Object[] params

    - #### indexPayload

          protected final int indexPayload

    - #### convert

          protected final boolean convert

    - #### indexSession

          protected final int indexSession

    - #### maxMessageSize

          protected final long maxMessageSize

  - ### Constructor Detail

    - #### PojoMessageHandlerBase

          public PojoMessageHandlerBase(Object pojo,
                                        Method method,
                                        Session session,
                                        Object[] params,
                                        int indexPayload,
                                        boolean convert,
                                        int indexSession,
                                        long maxMessageSize)

  - ### Method Detail

    - #### processResult

          protected final void processResult(Object result)

    - #### getWrappedHandler

          public final MessageHandler getWrappedHandler()

      Expose the POJO if it is a message handler so the Session is able to match requests to remove handlers if the original handler has been wrapped.
      Specified by:
        `getWrappedHandler` in interface `WrappedMessageHandler`

    - #### getMaxMessageSize

          public final long getMaxMessageSize()

      Specified by:
        `getMaxMessageSize` in interface `WrappedMessageHandler`

    - #### handlePojoMethodException

          protected final void handlePojoMethodException(Throwable t)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.